﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp46
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader("names.txt");
            try
            {
                String s = sr.ReadLine();
                //String sAll = null;
                StringBuilder sb = new StringBuilder();
                while (s != null)
                {
                    //sAll += s + Environment.NewLine;
                    sb.Append(s);
                    sb.Append(Environment.NewLine);
                    s = sr.ReadLine();
                }
                
                MessageBox.Show(sb.ToString());
            }catch(IOException ex)
            {
                Console.WriteLine(ex.Message);
            }
            finally
            {
                sr.Close();
            }
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            StreamWriter sw = new StreamWriter("newFile.txt",true);
            sw.WriteLine(textBox1.Text);
            sw.Close();
            StreamWriter sw2 = File.AppendText("newFile2.txt");
            sw2.WriteLine(textBox1.Text);
            sw2.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            openFileDialog1.InitialDirectory = Application.StartupPath;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                textBox2.Text = openFileDialog1.FileName;
                richTextBox1.Text = new StreamReader(openFileDialog1.FileName).ReadToEnd();
            }
        }
    }
}
